<?php
require_once "autoload.php";
?>
<!DOCTYPE html>
<html lang="en">

<?php
include "head.php";
?>

<body class="index-page">

  <?php
  include "header.php";
  ?>

  <main class="main">

    <!-- Hero Section -->
    <section id="hero" class="hero section dark-background">

      <img src="<?php echo getHero(); ?>" alt="" data-aos="fade-in" class="">

      <div class="container" data-aos="fade-up" data-aos-delay="100">
        <h2>Manoj Thulasidas</h2>
        <p>I'm a <span class="typed"
            data-typed-items="Teacher,Thinker,Writer,Physicist">Teacher</span><span
            class="typed-cursor typed-cursor--blink"
            aria-hidden="true"></span><span
            class="typed-cursor typed-cursor--blink" aria-hidden="true"></span>
        </p>
      </div>

    </section><!-- /Hero Section -->

    <!-- About Section -->
    <section id="about" class="about section">

      <!-- Section Title -->
      <div class="container section-title" data-aos="fade-up">
        <h2>About</h2>
        <p>I am an educator and a thinker with a deep passion for physics and
          writing. Now a professor at <span class="dotted-underline"
            data-bs-toggle="tooltip"
            title="Singapore Management University">SMU</span>, I have
          pursued previous careers in experimental physics at CERN, applied
          research at A*STAR, quantitative finance at
          OCBC and SCB. My diverse pursuits have led to significant
          accomplishments, including publishing "The Unreal
          Universe," a book exploring the philosophy of physics, which I
          consider my raison d&rsquo;&ecirc;tre. My
          thoughts have regularly appeared in publications like Wilmott Magazine
          and the Singaporean newspaper Today.
        </p>
      </div><!-- End Section Title -->

      <div class="container" data-aos="fade-up" data-aos-delay="100">

        <div class="row gy-4 justify-content-center">
          <div class="col-lg-4">
            <img src="assets/img/my-profile-img.jpg" class="img-fluid" alt="">
          </div>
          <div class="col-lg-8 content">
            <h2>Thinker, Writer, Scientist &amp; Technologist</h2>
            <p class="fst-italic py-3">
              Born in Munnar, India, I earned my undergraduate degree at IIT
              Madras before pursuing my passion for
              physics at Syracuse University. My research in high-energy physics
              at Cornell and with the ALEPH
              collaboration at CERN led to numerous publications. Later, my work
              on human body-based measurements and
              neuroinformatics at Singapore's Kent Ridge Digital Labs (now part
              of A*STAR) reignited my curiosity about
              the mind-matter interplay, culminating in my first book, The
              Unreal Universe.
            </p>
            <div class="row">
              <div class="col-lg-6">
                <ul>
                  <li><i class="bi bi-chevron-right"></i>
                    <strong>Websites:</strong> <span><a
                        href="//www.thulasidas.com" data-bs-toggle="tooltip"
                        data-placement="top"
                        title="My blog on physics, perception, philosophy, money, life, death and everything!">Unreal
                        Blog</a><br>
                      <a href="//TheUnrealUniverse.com" data-bs-toggle="tooltip"
                        data-placement="top"
                        title="My book on the role of perception in modern physics">The
                        Unreal
                        Universe</a><br>
                      <a href="//LA4CS.com" data-bs-toggle="tooltip"
                        data-placement="top"
                        title="My textbook on Linear Algebra for Computer Science">LA4CS</a></span>
                  </li>
                  <li><i class="bi bi-chevron-right"></i>
                    <strong>Passions:</strong> <span>Curiosity and Irreverence
                      <br>Thinking and Writing <br>Teaching and Inspiring</span>
                  </li>
                </ul>
              </div>
              <div class="col-lg-6">
                <ul>
                  <li><i class="bi bi-chevron-right"></i>
                    <strong>Employer:</strong> <span><a
                        href="//en.wikipedia.org/wiki/Singapore_Management_University"
                        target="_blank" data-bs-toggle="tooltip"
                        data-placement="top"
                        title="Singapore Management University">SMU</a>,&nbsp;<a
                        href="//computing.smu.edu.sg" target="_blank"
                        data-bs-toggle="tooltip" data-placement="top"
                        title="School of Computing and Information Systems">SCIS</a>&nbsp;
                      [<a href="//smu.sg/manoj" target="_blank"
                        data-bs-toggle="tooltip" data-placement="top"
                        title="My faculty page at SMU">Faculty
                        Page</a>]</span>
                  </li>
                  <li><i class="bi bi-chevron-right"></i>
                    <strong>Degrees:</strong> <span><a href="#about"
                        data-bs-toggle="tooltip" data-placement="top"
                        title="Doctorate in Experimental High Energy Particle Physics">PhD</a>,
                      <a href="//en.wikipedia.org/wiki/Syracuse_University"
                        target="_blank">Syracuse University</a> <br>
                      <a href="#about" data-bs-toggle="tooltip"
                        data-placement="top"
                        title="Bachelors in Electronics &amp; Communication">BTech</a>,
                      <a href="//en.wikipedia.org/wiki/IIT_Madras"
                        target="_blank">IIT, Madras</a></span>
                  </li>
                  <li><i class="bi bi-chevron-right"></i>
                    <strong>Interests:</strong>
                    <span>Badminton, Travel off the Beaten Path</span>
                  </li>
                </ul>
              </div>
            </div>
            <p class="py-3">
              In 2005, I transitioned to the field of quantitative finance,
              leading risk management efforts at <span class="dotted-underline"
                data-bs-toggle="tooltip"
                title="Oversea-Chinese Banking Corporation">OCBC</span> and
              <span class="dotted-underline" data-bs-toggle="tooltip"
                title="Standard Chartered Bank ">SCB</span> in Singapore. This
              role broadened my
              understanding of pricing models and the complexities of financial
              risk. After a short sabbatical, in 2016, I embarked on what I
              consider my final career: teaching mathematics for computer
              science, web programming, business modeling and data analytics as
              a professor at Singapore Management University. This academic role
              aligns with my
              scientific, research and finance background, bringing my
              professional journey full circle.
            </p>
          </div>
        </div>

      </div>

    </section><!-- /About Section -->

    <!-- Stats Section -->
    <section id="stats" class="stats section">

      <div class="container" data-aos="fade-up" data-aos-delay="100">

        <div class="row gy-4">

          <div class="col-lg-3 col-md-6">
            <div class="stats-item">
              <i class="bi bi-emoji-smile"></i>
              <span data-purecounter-start="0" data-purecounter-end="2500"
                data-purecounter-duration="1" class="purecounter"></span>
              <p><strong>Happy Students</strong> and counting in Computer
                Science, Data Analytics, Web Apps, and
                more.</p>
            </div>
          </div><!-- End Stats Item -->

          <div class="col-lg-3 col-md-6">
            <div class="stats-item">
              <i class="bi bi-file-earmark-text"></i>
              <span data-purecounter-start="0" data-purecounter-end="250"
                data-purecounter-duration="1" class="purecounter"></span>
              <p><strong>Publications</strong><br> <span><a
                    href="//ink.library.smu.edu.sg/do/search/?q=thulasidas"
                    target="_blank" rel="noopener noreferrer">Peer-reviewed
                    Articles</a>, <a
                    href="//www.thulasidas.com/category/columns/the-today-paper/"
                    target="_blank" rel="noopener noreferrer">Newspaper</a> and
                  <a href="//www.thulasidas.com/category/columns/the-wilmott-magazine-columns/"
                    target="_blank" rel="noopener noreferrer">Magazine</a>
                  Columns...</span></p>
            </div>
          </div><!-- End Stats Item -->

          <div class="col-lg-3 col-md-6">
            <div class="stats-item">
              <i class="bi bi-journal-richtext"></i>
              <span data-purecounter-start="0" data-purecounter-end="3"
                data-purecounter-duration="1" class="purecounter"></span>
              <p><strong>Books</strong> and counting<br>
                <span>
                  <a href="//theunrealuniverse.com" target="_blank">The Unreal
                    Universe</a><br>
                  <a href="//la4cs.com" target="_blank">Linear Algebra for
                    CS</a><br>
                  <a href="//pqd.thulasidas.com" target="_blank">Quantitative
                    Development</a>
                </span>
              </p>
            </div>
          </div><!-- End Stats Item -->

          <div class="col-lg-3 col-md-6">
            <div class="stats-item">
              <i class="bi bi-brightness-high"></i>
              <span data-purecounter-start="0" data-purecounter-end="1"
                data-purecounter-duration="1" class="purecounter"></span>
              <p><strong>Legacy</strong><br>
                <span>
                  My parting gift to humanity, in a
                  <?php insertVideo("217Townasjc", "Why Unreal?", "ten-minute video"); ?>,
                  one peer-reviewed <a href="//www.thulasidas.com/col/ijmpd.pdf"
                    target="_blank" rel="noopener noreferrer">article</a>, and
                  one full-length <a href="//theunrealuniverse.com"
                    target="_blank" rel="noopener noreferrer">book</a></span>
              </p>
            </div>
          </div><!-- End Stats Item -->

        </div>

      </div>

    </section><!-- /Stats Section -->

    <!-- Skills Section -->
    <section id="skills" class="skills section light-background">

      <!-- Section Title -->
      <div class="container section-title" data-aos="fade-up">
        <h2>Skills</h2>
        <p>Skills aren't particularly relevant since I'm not currently seeking a
          new job. Here's a high-level summary:</p>
      </div><!-- End Section Title -->

      <div class="container" data-aos="fade-up" data-aos-delay="100">

        <div class="row skills-content skills-animation">

          <div class="col-lg-6">

            <div class="progress">
              <span class="skill"><span>Teaching &amp; Pedagogy</span> <i
                  class="val">95%</i></span>
              <div class="progress-bar-wrap">
                <div class="progress-bar" role="progressbar" aria-valuenow="95"
                  aria-valuemin="0" aria-valuemax="100">
                </div>
              </div>
            </div><!-- End Skills Item -->

            <div class="progress">
              <span class="skill"><span>Computer Programming</span> <i
                  class="val">95%</i></span>
              <div class="progress-bar-wrap">
                <div class="progress-bar" role="progressbar" aria-valuenow="95"
                  aria-valuemin="0" aria-valuemax="100">
                </div>
              </div>
            </div><!-- End Skills Item -->

            <div class="progress">
              <span class="skill"><span>Writing &amp; Philosophy</span> <i
                  class="val">90%</i></span>
              <div class="progress-bar-wrap">
                <div class="progress-bar" role="progressbar" aria-valuenow="90"
                  aria-valuemin="0" aria-valuemax="100">
                </div>
              </div>
            </div><!-- End Skills Item -->

            <div class="progress">
              <span class="skill"><span>Physics</span> <i
                  class="val">90%</i></span>
              <div class="progress-bar-wrap">
                <div class="progress-bar" role="progressbar" aria-valuenow="90"
                  aria-valuemin="0" aria-valuemax="100">
                </div>
              </div>
            </div><!-- End Skills Item -->

          </div>

          <div class="col-lg-6">

            <div class="progress">
              <span class="skill"><span>Mathematics</span> <i
                  class="val">90%</i></span>
              <div class="progress-bar-wrap">
                <div class="progress-bar" role="progressbar" aria-valuenow="90"
                  aria-valuemin="0" aria-valuemax="100">
                </div>
              </div>
            </div><!-- End Skills Item -->

            <div class="progress">
              <span class="skill"><span>Computer Science</span> <i
                  class="val">85%</i></span>
              <div class="progress-bar-wrap">
                <div class="progress-bar" role="progressbar" aria-valuenow="85"
                  aria-valuemin="0" aria-valuemax="100">
                </div>
              </div>
            </div><!-- End Skills Item -->

            <div class="progress">
              <span class="skill"><span>Management &amp; Consultancy</span> <i
                  class="val">80%</i></span>
              <div class="progress-bar-wrap">
                <div class="progress-bar" role="progressbar" aria-valuenow="80"
                  aria-valuemin="0" aria-valuemax="100">
                </div>
              </div>
            </div><!-- End Skills Item -->

            <div class="progress">
              <span class="skill"><span>Finance &amp; Investment</span> <i
                  class="val">75%</i></span>
              <div class="progress-bar-wrap">
                <div class="progress-bar" role="progressbar" aria-valuenow="75"
                  aria-valuemin="0" aria-valuemax="100">
                </div>
              </div>
            </div><!-- End Skills Item -->

          </div>

        </div>

      </div>

    </section><!-- /Skills Section -->

    <!-- Resume Section -->
    <section id="resume" class="resume section">

      <!-- Section Title -->
      <div class="container section-title" data-aos="fade-up">
        <h2>Resume</h2>
        <ul>
          <li>
            Physics, mathematics and computer science education and pedagogy.
          </li>
          <li>
            Data analytics and automation techniques for SMEs, and
            knowledge-systems.
          </li>
          <li>
            Foundational topics in physics, role of perception and cognition in
            physics.
          </li>
          <li>
            Quantitative finance, management of information technology in the
            finance industry.
          </li>
          <li>
            Find a more detailed CV on my <a href="//smu.sg/manoj">Faculty
              Page</a> at <span class="dotted-underline"
              data-bs-toggle="tooltip"
              title="Singapore Management University">SMU</span> or a
            <?php insertVideo("KJ0NJUAj7w0", "Who Am I?", "video version"); ?>
            on YouTube.
          </li>
        </ul>
      </div><!-- End Section Title -->

      <div class="container">

        <div class="row">

          <div class="col-lg-6" data-aos="fade-up" data-aos-delay="100">
            <h3 class="resume-title">Summary</h3>

            <div class="resume-item pb-0">
              <h4>Manoj Thulasidas</h4>
              <p><em>Dedicated and innovative Educator, lifelong Physicist,
                  published Writer and inspired
                  Developer.</em></p>
              <ul>
                <li>Lives in Singapore</li>
                <li>Works as an Associate Professor of CS (Edu) at <a
                    href="//en.wikipedia.org/wiki/Singapore_Management_University"
                    target="_blank" data-bs-toggle="tooltip"
                    data-placement="top"
                    title="Singapore Management University">SMU</a>, <a
                    href="//computing.smu.edu.sg" target="_blank"
                    data-bs-toggle="tooltip" data-placement="top"
                    title="School of Computing and Information Systems">SCIS</a>
                </li>
                <li>Teaches, writes, thinks and generally behaves like decent
                  human being</li>
                <li>Email and other contact details <a
                    href="#contact">available</a></li>
              </ul>
            </div><!-- Edn Resume Item -->

            <h3 class="resume-title">Education</h3>
            <div class="resume-item">
              <h4>PhD in Experimental Particle Physics</h4>
              <h5>1987 - 1993</h5>
              <p><em>Syracuse University, Syracuse, NY, USA</em></p>
              <p>I completed my PhD in Experimental Particle Physics at Syracuse
                University, where I conducted advanced research as part of the
                CLEO II experiment at Cornell University. My work focused on
                analyzing data from high-energy electron-positron collisions,
                contributing to the understanding of quark dynamics and rare
                particle decays. This experience allowed me to develop expertise
                in data analysis, detector calibration, and collaboration within
                a large international research team, ultimately enhancing our
                understanding of fundamental particles and their interactions.
              </p>
            </div><!-- Edn Resume Item -->

            <div class="resume-item">
              <h4>Bachelor of Technology</h4>
              <h5>1983 - 1987</h5>
              <p><em>Indian Institute of Technology (IIT), Madras, India</em>
              </p>
              <p>I earned my BTech in Electronics Engineering from the Indian
                Institute of Technology (IIT) Madras, where I developed a strong
                foundation in electronic circuits, signal processing, and
                embedded systems. My coursework and projects focused on the
                design and
                analysis of advanced electronic systems, which equipped me with
                practical skills in hardware design, software integration, and
                system optimization. This rigorous program honed my
                problem-solving abilities and provided me with a solid technical
                background, preparing me for complex challenges in engineering
                and technology.</p>
            </div><!-- Edn Resume Item -->

            <h3 class="resume-title">Honors and Awards</h3>
            <div class="resume-item">
              <ul>
                <li>
                  Dec 2024, Auckland, New Zealand. Best paper award at TALE2024.
                </li>
                <li>
                  Sep 2004 Malta. Best paper award at MEDSIP’04, Malta.
                </li>
                <li>
                  Summer 1983, India. Ranked 63rd (out of about 75,000) in India
                  in JEE for IITs.
                </li>
                <li>
                  Summer 1982 Trivandrum, India. Ranked 3rd in the state of
                  Kerala, India in the Engineering Entrance Exam (out of about
                  10,000 students).
                </li>
              </ul>
            </div><!-- Edn Resume Item -->

          </div>

          <div class="col-lg-6" data-aos="fade-up" data-aos-delay="200">
            <h3 class="resume-title">Professional Experience</h3>
            <div class="resume-item">
              <h4>Education and Pedagogical Research</h4>
              <h5>2016 - Present</h5>
              <p><strong>Associate Professor of Computer Science
                  (Education)</strong><br>
                <em>Singapore Management University, Singapore</em>
              </p>
              <ul>
                <li>Teaching mathematics for computer science, data analytics
                  and business modeling at the School of
                  Computing and Information Systems</li>
                <li>Research in the field of data analytics and management, and
                  their applications in pedagogy, health and wellness
                </li>
                <li>Pedagogical and Education research</li>
                <li>Taught over 2500 undergraduate and masters students</li>
              </ul>
            </div><!-- Edn Resume Item -->

            <div class="resume-item">
              <h4>Banking and Quantitative Finance</h4>
              <h5>2005 - 2013</h5>
              <p><strong>Associate Director</strong> and <strong>Vice
                  President</strong><br>
                <em>Standard Chartered Bank</em> and <em>OCBC</em>, Singapore
              </p>
              <ul>
                <li>Team lead for quantitative library development and pricing
                  model integration</li>
                <li>Quantitative finance: stochastic calculus, simulation,
                  multi-layer software design</li>
                <li>Head of Analytics for Market Risk Management: pricing model
                  analysis and validation</li>
                <li>Applied mathematics: Stochastic calculus, partial
                  differential equations and Monte Carlo
                  simulations, implemented in C/C++ and Excel/VBA</li>
              </ul>
            </div><!-- Edn Resume Item -->

            <div class="resume-item">
              <h4>Applied Research</h4>
              <h5>1998 - 2005</h5>
              <p><strong>Associate Lead Scientist</strong><br>
                <em>Institute for Infocomm Research (I2R), Singapore</em>
              </p>
              <ul>
                <li>Team lead for the New Initiative research group. Expertise
                  in bio-signal processing, sensors,
                  actuators and embedded programming</li>
                <li>Research and development on Brain-Computer Interface for
                  locked-in patients</li>
              </ul>
            </div><!-- Edn Resume Item -->

            <div class="resume-item">
              <h4>Scientific Research</h4>
              <h5>1993 - 1998</h5>
              <p><strong>Research Engineer</strong><br>
                <em>CERN, Switzerland</em> and <em>CNRS, France</em>
              </p>
              <ul>
                <li>Research and development of the precision tracking Vertex
                  Detector for CERN</li>
                <li>Measurement of b quark production fraction in Z0 decays at
                  ALEPH</li>
              </ul>
            </div><!-- Edn Resume Item -->
          </div>

        </div>

      </div>

    </section><!-- /Resume Section -->

    <!-- Portfolio Section -->
    <section id="portfolio" class="portfolio section light-background">

      <!-- Section Title -->
      <div class="container section-title" data-aos="fade-up">
        <h2>Portfolio</h2>
        <p>Here are some of the recent projects I have worked on, both
          professionally and for fun.</p>
      </div><!-- End Section Title -->

      <div class="container">

        <div class="isotope-layout" data-default-filter="*"
          data-layout="masonry" data-sort="original-order">

          <ul class="portfolio-filters isotope-filters" data-aos="fade-up"
            data-aos-delay="100">
            <li data-filter="*" class="filter-active">All</li>
            <?php
            foreach (ItemDAO::$cats as $cat => $catName) {
              echo "<li data-filter=\".filter-$cat\">$catName</li>";
            }
            ?>
          </ul><!-- End Portfolio Filters -->

          <div class="row gy-4 isotope-container" data-aos="fade-up"
            data-aos-delay="200">

            <?php
            $dao = new ItemDAO();
            $items = $dao->getItems();
            shuffle($items);
            foreach ($items as $item) {
              $item->show();
            }
            ?>

          </div><!-- End Portfolio Container -->

        </div>

      </div>

    </section><!-- /Portfolio Section -->

    <!-- Services Section -->
    <section id="services" class="services section">

      <!-- Section Title -->
      <div class="container section-title" data-aos="fade-up">
        <h2>Services</h2>
        <p>I don't offer any services other than my professional engagement
          with <span class="dotted-underline" data-bs-toggle="tooltip"
            title="Singapore Management University">SMU</span>. But I am capable
          of providing the following, although I may
          be far too expensive for most. Honestly, it may not be worth it...</p>
      </div><!-- End Section Title -->

      <div class="container">

        <div class="row gy-4">

          <?php
          $dao = new ItemDAO();
          $services = $dao->getServices();
          foreach ($services as $service) {
            $service->showService();
          }
          ?>

        </div>

      </div>

    </section><!-- /Services Section -->

    <!-- Testimonials Section -->
    <section id="testimonials" class="testimonials section light-background">

      <!-- Section Title -->
      <div class="container section-title" data-aos="fade-up">
        <h2>Testimonials</h2>
        <p>Testimonials are mainly sourced from my student feedback (anonymous)
          and the student images are AI-generated.</p>
      </div><!-- End Section Title -->

      <div class="container" data-aos="fade-up" data-aos-delay="100">

        <div class="swiper init-swiper">
          <script type="application/json" class="swiper-config">
            {
              "loop": true,
              "speed": 600,
              "autoplay": {
                "delay": 5000
              },
              "slidesPerView": "auto",
              "pagination": {
                "el": ".swiper-pagination",
                "type": "bullets",
                "clickable": true
              },
              "breakpoints": {
                "320": {
                  "slidesPerView": 1,
                  "spaceBetween": 40
                },
                "1200": {
                  "slidesPerView": 3,
                  "spaceBetween": 1
                }
              }
            }
          </script>
          <div class="swiper-wrapper">

            <div class="swiper-slide">
              <div class="testimonial-item">
                <p><span style="font-size:100%;color:orange;">★★★★★</span> <a
                    href="//www.amazon.com/gp/customer-reviews/RJPD2FRNVG6PH">A
                    must-read!</a><br>Reviewed in the United States on March 19,
                  2014<br />
                  <b><a
                      href="//www.amazon.com/Unreal-Universe-Study-Applied-Spirituality/product-reviews/9810575947/ref=cm_cr_arp_d_rvw_rvwer?ie=UTF8&amp;reviewerType=avp_only_reviews&amp;pageNumber=1"><span
                        style="font-size:80%;color:orange;">Verified
                        Purchase</span></a></b><br />
                  <i class="bi bi-quote quote-icon-left"></i>
                  <span>An excellent read, shifting things inside of the human
                    psyche. Recommended to all and sundry. Skip the maths if you
                    like, but read it. This is the kind of book that grows human
                    intelligence with the passing of time. Let it impact upon
                    you
                    too...</span>
                  <i class="bi bi-quote quote-icon-right"></i>
                </p>
                <img src="assets/img/testimonials/testimonials-1.jpg"
                  class="testimonial-img" alt="">
                <h3>"Axiomena"</h3>
                <h4>Amazon Review: The Unreal Universe</h4>
              </div>
            </div><!-- End testimonial item -->

            <div class="swiper-slide">
              <div class="testimonial-item">
                <p>
                  <i class="bi bi-quote quote-icon-left"></i>
                  <span>I love the way Prof Manoj teaches! He is very engaging
                    and shows genuine interest and passion for the topic he's
                    lecturing about. Even as someone who does not appreciate
                    math that much, hearing him talk about the beauty of the
                    consistency of linear algebra inspires me to look deeper and
                    appreciate linear algebra for its amazing properties and
                    applications.</span>
                  <i class="bi bi-quote quote-icon-right"></i>
                </p>
                <img src="assets/img/testimonials/testimonials-2.jpg"
                  class="testimonial-img" alt="">
                <h3>Anonymous UG Student</h3>
                <h4>Feedback on my Linear Algebra Course</h4>
              </div>
            </div><!-- End testimonial item -->

            <div class="swiper-slide">
              <div class="testimonial-item">
                <p>
                  <i class="bi bi-quote quote-icon-left"></i>
                  <span>Honestly one of the better Prof across all the modules I
                    have taken. He scaffolds the learning appropriately and is
                    able to break down challenging topics into bite sized pieces
                    for better understanding. Clearly very passionate about what
                    he does. <br>
                    <i class="bi bi-quote quote-icon-left"></i>
                    Very knowledgeable, especially when it comes to the
                    technical underpinnings of the theory</span>
                  <i class="bi bi-quote quote-icon-right"></i>
                </p>
                <img src="assets/img/testimonials/testimonials-3.jpg"
                  class="testimonial-img" alt="">
                <h3>Anonymous PG Students</h3>
                <h4>Feedback on my Text Analytics Course</h4>
              </div>
            </div><!-- End testimonial item -->

            <div class="swiper-slide">
              <div class="testimonial-item">
                <p>
                  <i class="bi bi-quote quote-icon-left"></i>
                  <span>He was very clear in everything, even made an effort to
                    tell us if we missed something (even if it was our fault) we
                    could still clarify with him. His consult was very good, he
                    is one of the few profs that actually bothered to try to
                    understand what my group was talking about for the group
                    discussion unlike some profs that just brush you aside and
                    assume they understand what you're saying. Thank you prof,
                    you
                    are really amazing!</span>
                  <i class="bi bi-quote quote-icon-right"></i>
                </p>
                <img src="assets/img/testimonials/testimonials-4.jpg"
                  class="testimonial-img" alt="">
                <h3>Anonymous UG Student</h3>
                <h4>Feedback on "Spreadsheet Modeling and Analytics"</h4>
              </div>
            </div><!-- End testimonial item -->

            <div class="swiper-slide">
              <div class="testimonial-item">
                <p>
                  <i class="bi bi-quote quote-icon-left"></i>
                  <span>Prof Manoj is very clear and patient in teaching, he
                    would always provide us with examples so that we can relate
                    the things taught in class to real-life applications. He
                    makes sure that no one is left out in the class by
                    frequently asking if there are any questions thus far in
                    between lessons. He has made analytics foundation class very
                    much enjoyable and fun.</span>
                  <i class="bi bi-quote quote-icon-right"></i>
                </p>
                <img src="assets/img/testimonials/testimonials-5.jpg"
                  class="testimonial-img" alt="">
                <h3>Anonymous UG Student</h3>
                <h4>Feedback on "Analytics Foundation"</h4>
              </div>
            </div><!-- End testimonial item -->

            <div class="swiper-slide">
              <div class="testimonial-item">
                <p>
                  <i class="bi bi-quote quote-icon-left"></i>
                  <span>Prof is super nice, funny and charismatic. He has a deep
                    understanding of the lesson content and able to explain
                    concepts so well. I am so thankful to be in his
                    class.<br>
                    <i class="bi bi-quote quote-icon-left"></i>
                    Prof Manoj is so enthusiastic in class and he always
                    explains the chunky slides into minimal ideas that he draws
                    on his iPad or demonstrate to us. He really helped me be
                    wowed by the world of coding. He also constantly checks on
                    me when I look lost which I really appreciate it so much.
                  </span>
                  <i class="bi bi-quote quote-icon-right"></i>
                </p>
                <img src="assets/img/testimonials/testimonials-7.jpg"
                  class="testimonial-img" alt="">
                <h3>Anonymous UG Students</h3>
                <h4>Feedback on my Web App Dev Course</h4>
              </div>
            </div><!-- End testimonial item -->

          </div>
          <div class="swiper-pagination"></div>
        </div>

      </div>

    </section><!-- /Testimonials Section -->

    <!-- Contact Section -->
    <section id="contact" class="contact section">

      <!-- Section Title -->
      <div class="container section-title" data-aos="fade-up">
        <h2>Contact</h2>
        <p>If you don't know me by now, you will never, never, never know me.
          But you can still give it a shot.</p>
      </div><!-- End Section Title -->

      <div class="container" data-aos="fade-up" data-aos-delay="100">

        <div class="row gy-4">

          <div class="col-lg-5">

            <div class="info-wrap">
              <div class="info-item d-flex" data-aos="fade-up"
                data-aos-delay="200">
                <i class="bi bi-geo-alt flex-shrink-0"></i>
                <div>
                  <h3>Address</h3>
                  <p>School of Computing and Information Systems, <br>
                    Singapore Management University, <br>
                    80 Stamford Road, Singapore 178902 </p>
                </div>
              </div><!-- End Info Item -->

              <div class="info-item d-flex" data-aos="fade-up"
                data-aos-delay="300">
                <i class="bi bi-telephone flex-shrink-0"></i>
                <div>
                  <h3>Call Me</h3>
                  <p>+65 6828 9625</p>
                </div>
              </div><!-- End Info Item -->

              <div class="info-item d-flex" data-aos="fade-up"
                data-aos-delay="400">
                <i class="bi bi-envelope flex-shrink-0"></i>
                <div>
                  <h3>Email Me</h3>
                  <p>If you can!</p>
                </div>
              </div><!-- End Info Item -->
              <iframe
                src="//www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d856.1604979387937!2d103.84887472475054!3d1.2974114511868207!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x31da19a340000001%3A0xdb2ba83d5e574a35!2sSMU%20School%20of%20Computing%20and%20Information%20Systems%201!5e0!3m2!1sen!2ssg!4v1724192997344!5m2!1sen!2ssg"
                width="600" height="450"
                style="border:0;width: 100%; height: 270px;" allowfullscreen=""
                loading="lazy"
                referrerpolicy="no-referrer-when-downgrade"></iframe>
            </div>
          </div>

          <div class="col-lg-7">
            <form action="forms/contact.php" method="post"
              class="php-email-form" data-aos="fade-up" data-aos-delay="200">
              <div class="row gy-4">

                <div class="col-md-6">
                  <label for="name-field" class="pb-2">Your Name</label>
                  <input type="text" name="name" id="name-field"
                    class="form-control" required="">
                </div>

                <div class="form-group d-none">
                  <input type="text" class="form-control" name="first_name">
                  <div class="validate"></div>
                </div>

                <div class="col-md-6">
                  <label for="email-field" class="pb-2">Your Email</label>
                  <input type="email" class="form-control" name="email"
                    id="email-field" required="">
                </div>

                <div class="col-md-12">
                  <label for="subject-field" class="pb-2">Subject</label>
                  <input type="text" class="form-control" name="subject"
                    id="subject-field" required="">
                </div>

                <div class="col-md-12">
                  <label for="message-field" class="pb-2">Message</label>
                  <textarea class="form-control" name="message" rows="10"
                    id="message-field" required=""></textarea>
                </div>

                <div class="col-md-12 text-center">
                  <div class="loading">Loading</div>
                  <div class="error-message"></div>
                  <div class="sent-message">Your message has been sent. Thank
                    you!</div>

                  <button type="submit">Send Message</button>
                </div>

              </div>
            </form>
          </div><!-- End Contact Form -->

        </div>

      </div>

    </section><!-- /Contact Section -->

  </main>

  <?php
  include "footer.php";
  include "videoModal.php";
  ?>

</body>

</html>